const express = require('express');
const roleController = require('../controllers/roleController');
const authenticateJWT = require('../middleware/auth');
const upload = require('../middleware/uploadMiddleware');

const router = express.Router();
// router.use(authenticateJWT);
router.get('/', roleController.getRole);
router.get('/:id', roleController.getRoleByID);
router.put('/:id',upload.single('image'),roleController.updateRole);
router.post('/', roleController.createRole);
router.delete('/:id', roleController.deleteRole);

module.exports = router;